Subject: Re: AW: [NSIS] Any resolution to the QSPEC mandatory parameter li st?

From: Hannes Tschofenig <[email-masked]>
Date: Tue, 01 Aug 2006 12:07:16 +0200

Roy,

to me it seems that you haven't read the existing NSIS documents.
I strongly suggest that you should do that. You cannot put the workload 
on me to summarize the documents for you. Since the IETF is contribution 
driven I think you should also work on a draft that describes what you 
want. You might, for example, develop the QoS model. It is easy to 
criticize the work of others if you haven't written your own proposal.

Ciao
Hannes

Roy, Radhika R. wrote:
> Hi, Hannes:
>  
> It is very interesting that NSIS wants QOS model concept for signaling. The
> question is this: Which QOS model?
>  
> More inline [RRR].
>  
> BR/Radhika
> 
>   _____  
> 
> From: [email-masked] on behalf of Hannes Tschofenig
> Sent: Mon 7/31/2006 3:34 PM
> To: Roy, Radhika R.
> Cc: Hancock, Robert; [email-masked]; Tschofenig, Hannes
> Subject: Re: AW: [NSIS] Any resolution to the QSPEC mandatory parameter li
> st?
> 
> 
> 
> Hi Roy,
> 
> I strongly believe that we need the QoS model concept. 
> 
> [RRR] Which QOS model?
> 
> I also think that
> there will never be a single QoS model that everyone can agree with. 
> 
> [RRR] Again, which QOS model that NSIS needs to agree with?
> 
> You
> will always find deployment environments that are a bit different that
> others. We already see this happening today.
> 
> [RRR] Agreed. NSIS is not standardizing any specific implemention or
> deployment.
> 
> NSIS is about signaling QoS information obtained from the application to
> the network, in one of the envisioned usage scenarios. 
> 
> [RRR] Agreed. One of the important real-time multimedia applications is SIP.
> If its needs are not met, which applications that NSIS is shooting for?
> Could you please provide a scenario how the SIP application will use NSIS
> QOS parameters that will have no knowledge of any underlying transport
> networks or network-specific QOS models other than its own codecs per se? I
> would appreciate your help.
> 
> But there are
> others as well that are important. 
> 
> [RRR] I would think so. Could you please be more specifc with a given
> example instead of being abstract?
> 
> You just need to think about the
> transition time where an E2E solution cannot be deployed.
> 
> [RRR] Good. Let us understand what is the transitional QOS model where e2e
> QOS solution cannot be deployed. No one in NSIS has yet written a
> requirement that NSIS will develop a QOS signaling standard that will deal
> with a transitional case before the e2e QOS solution is deployed. If so, let
> us make it very specific what is the scope of this transitional QOS
> solution. If we know this, definitely we all will work to this end. Let us
> write a requirement document on this instead of being abstract.
> 
> [RRR] We thought that NSIS will do in two steps: a. Simple one with e2e
> application QOS and b. Network-specific e2e QOS while complementing the e2e
> application QOS as the fundamental reference. Case a will always remain the
> same as SIP will always use its QOS reference to its codecs while case b
> will have numerous soultions/implementations, and NSIS may work for a long
> time on item b.
> 
> Ciao
> Hannes
> 
> 
> Roy, Radhika R. wrote:
> 
>>Hi, Hannes:
>>
>>The most important conclusion is this: We do not need any QOS model.
> 
> Period.
> 
>>All we want in NSIS is this: Like NSIS QOS signaling messages, we just
> 
> need
> 
>>to express the end-to-end QOS parameters of the applications as follows:
>>Bandwidth, Delay, Jitter, and Packet Loss.
>>
>>For non-real-time data application, "jitter" may or may not be required,
> 
> but
> 
>>for real-time/near-real-time audio/video application, the above 4
> 
> parameters
> 
>>are needed.
>>
>>The application will express those values on end-to-end basis,
> 
> "independent"
> 
>>of any transport networking that may consist of one or many networks while
>>transporting the application messages/payload on end-to-end basis.
>>
>>By the way, NSIS's charter is not to standardize or specify any "value"
> 
> for
> 
>>those performance parameters.
>>
>>It is so simple.
>>
>>How to deal with the network QOS, it is not NSIS's problems. NSIS's
> 
> charter
> 
>>is to "signal" the QOS parameters on end-to-end basis between the
>>applications. By the way, the end-to-end QOS requirements for applications
>>will remain the "same" because it is based on the "inherent"
> 
> characteristics
> 
>>of the system (e.g., MOS of audio/video application, response time
>>requirements for data application depending on human or automa).
>>
>>Best regards,
>>Radhika
>>
>>PS:
>>
>>1. Now, 3G may solve their part of the network QOS. For example, they
>>provide the access wireless network.
>>
>>2. IEEE may solve the access LAN QOS problems.
>>
>>3. IETF may solve the problems of public Internet backbone network QOS
>>(e.g., DiffServ, DSTE), access IP network QOS (e.g., IntServ) or
> 
> end-to-end
> 
>>IP (access + backbone).
>>
>>4. An implementer (say, service provider) that wants to provide end-to-end
>>VoIP/SIP service will take NSIS QOS as the fundamental reference for
>>addressing the end-to-end QOS for the application. They now need to choose
>>what type of networks they will use on the end-to-end path. Accordingly,
>>they will divide the NSIS's end-to-end QOS that has been signaled by the
>>application into individual networks. The beauty of this is this: NSIS QOS
>>signaling protocol still be used on end-to-end basis between the
>>applications.
>>
>>5. If NSIS needs to address item 4, it needs to change its charter. It is
> 
> a
> 
>>huge problem to solve. I am extremely worried that NSIS focus might have
>>distorted due to unnecessarily mixing of items 1, 2, 3, and 4 while they
>>started discussing the QOS parameters.
>>
>>  _____ 
>>
>>From: [email-masked] on behalf of Tschofenig, Hannes
>>Sent: Mon 7/31/2006 11:32 AM
>>To: Roy, Radhika R.; Hannes Tschofenig; Hancock, Robert
>>Cc: [email-masked]
>>Subject: AW: AW: [NSIS] Any resolution to the QSPEC mandatory parameter li
>>st?
>>
>>
>>
>>Hi Roy,
>>
>>from the discussion so far it seems that you have looked at the
>>application layer to NSIS QoS mapping in more detail.
>>What was the conclusion?
>>Are the work-in-progress QoS models support what you want?
>>
>>Ciao
>>Hannes
>>
> 
> 
> 
> 

_______________________________________________
nsis mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/nsis